Bug 1475001 - [abrt] cinnamon: get_preferred_height_for_width(): python2.7 killed by signal 11
[abrt] cinnamon: get_preferred_height_for_width(): python2.7 killed by signal 11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alternative GTK desktop environments
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1e1c365a61c154bfd4b347790a1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 16:02 EDT by R. K. Rajeev
Modified: 2018-03-30 09:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: cinnamon-3.6.8-0.6.20180316git45339e8.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-30 09:03:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (72.98 KB, text/plain)
2017-07-25 16:02 EDT, R. K. Rajeev
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-25 16:02 EDT, R. K. Rajeev
no flags Details
File: core_backtrace (33.61 KB, text/plain)
2017-07-25 16:02 EDT, R. K. Rajeev
no flags Details
File: cpuinfo (1.15 KB, text/plain)
2017-07-25 16:02 EDT, R. K. Rajeev
no flags Details
File: dso_list (18.32 KB, text/plain)
2017-07-25 16:02 EDT, R. K. Rajeev
no flags Details
File: environ (2.09 KB, text/plain)
2017-07-25 16:02 EDT, R. K. Rajeev
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-25 16:02 EDT, R. K. Rajeev
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-25 16:02 EDT, R. K. Rajeev
no flags Details
File: maps (81.20 KB, text/plain)
2017-07-25 16:02 EDT, R. K. Rajeev
no flags Details
File: open_fds (896 bytes, text/plain)
2017-07-25 16:02 EDT, R. K. Rajeev
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-07-25 16:02 EDT, R. K. Rajeev
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-07-25 16:02 EDT, R. K. Rajeev
no flags Details

  None (edit)
Description R. K. Rajeev 2017-07-25 16:02:07 EDT
Description of problem:
Clicked on the view keyboard layout button in the Keyboard -> Layouts section of the settings app. 
Selected Layout at the time was English(India with rupee Sign)

Version-Release number of selected component:
cinnamon-3.4.4-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/python2 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py
crash_function: get_preferred_height_for_width
executable:     /usr/bin/python2.7
journald_cursor: s=2fca7fd9c58d4b1a96b0a052767bec9b;i=103aa;b=6138f5e122c24055b1d202d24f442e11;m=287610072;t=55527dbbf576f;x=95b68cbabc572206
kernel:         4.11.10-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 get_preferred_height_for_width at gkbd-keyboard-drawing.c:2146
 #1 gtk_widget_query_size_for_orientation at gtksizerequest.c:246
 #2 gtk_widget_compute_size_for_orientation at gtksizerequest.c:399
 #3 gtk_widget_get_preferred_height_for_width at gtksizerequest.c:601
 #4 gtk_box_compute_size_for_orientation at gtkbox.c:1981
 #5 gtk_box_get_content_size at gtkbox.c:2074
 #6 gtk_css_custom_gadget_get_preferred_size at gtkcsscustomgadget.c:124
 #7 gtk_css_gadget_get_preferred_size at gtkcssgadget.c:675
 #8 gtk_box_get_preferred_height_and_baseline_for_width at gtkbox.c:2041
 #9 gtk_widget_query_size_for_orientation at gtksizerequest.c:242
Comment 1 R. K. Rajeev 2017-07-25 16:02:16 EDT
Created attachment 1304442 [details]
File: backtrace
Comment 2 R. K. Rajeev 2017-07-25 16:02:18 EDT
Created attachment 1304443 [details]
File: cgroup
Comment 3 R. K. Rajeev 2017-07-25 16:02:21 EDT
Created attachment 1304444 [details]
File: core_backtrace
Comment 4 R. K. Rajeev 2017-07-25 16:02:23 EDT
Created attachment 1304445 [details]
File: cpuinfo
Comment 5 R. K. Rajeev 2017-07-25 16:02:26 EDT
Created attachment 1304446 [details]
File: dso_list
Comment 6 R. K. Rajeev 2017-07-25 16:02:28 EDT
Created attachment 1304447 [details]
File: environ
Comment 7 R. K. Rajeev 2017-07-25 16:02:30 EDT
Created attachment 1304448 [details]
File: exploitable
Comment 8 R. K. Rajeev 2017-07-25 16:02:32 EDT
Created attachment 1304449 [details]
File: limits
Comment 9 R. K. Rajeev 2017-07-25 16:02:36 EDT
Created attachment 1304450 [details]
File: maps
Comment 10 R. K. Rajeev 2017-07-25 16:02:38 EDT
Created attachment 1304452 [details]
File: open_fds
Comment 11 R. K. Rajeev 2017-07-25 16:02:40 EDT
Created attachment 1304453 [details]
File: proc_pid_status
Comment 12 R. K. Rajeev 2017-07-25 16:02:42 EDT
Created attachment 1304454 [details]
File: var_log_messages
Comment 13 R. K. Rajeev 2017-09-12 05:43:54 EDT
Similar problem has been detected:

attempting to access the keyboard layout map in keyboard settings applet of cinnamon-settings.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/python2 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py
crash_function: get_preferred_height_for_width
executable:     /usr/bin/python2.7
journald_cursor: s=d194d76df37a41049704c7006959c46a;i=1a943;b=412492d9cbec43caba2dcbbff778198a;m=226007af7;t=558ec0d3e8296;x=e1ae2ef3de696da3
kernel:         4.11.11-300.fc26.x86_64
package:        cinnamon-3.4.4-1.fc26
reason:         python2.7 killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora Update System 2018-03-16 11:19:39 EDT
cinnamon-3.6.8-0.6.20180316git45339e8.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-834c481edf
Comment 15 Fedora Update System 2018-03-17 15:29:01 EDT
cinnamon-3.6.8-0.6.20180316git45339e8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-834c481edf
Comment 16 Fedora Update System 2018-03-30 09:03:35 EDT
cinnamon-3.6.8-0.6.20180316git45339e8.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.